Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class JWSClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.apache.axis.utils.JWSClassLoader

public class JWSClassLoader
extends ClassLoader

Class loader for JWS files. There is one of these per JWS class, and we keep a static Hashtable of them, indexed by class name. When we want to reload a JWS, we replace the ClassLoader for that class and let the old one get GC'ed.

Author:
  Glen Daniels (gdaniels@apache.org), Doug Davis (dug@us.ibm.com)

Constructor Summary
`JWSClassLoader(String name, ClassLoader cl, String classFile)` Construct a JWSClassLoader with a class name, a parent ClassLoader, and a filename of a .class file containing the bytecode for the class.

Method Summary
`InputStream` | `getResourceAsStream(String resourceName)` Overloaded getResourceAsStream() so we can be sure to return the correct class file regardless of where it might live on our hard drive.

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JWSClassLoader

    public JWSClassLoader(String name,
                          ClassLoader cl,
                          String classFile)
                   throws FileNotFoundException,
                          IOException

  Construct a JWSClassLoader with a class name, a parent ClassLoader, and a filename of a .class file containing the bytecode for the class. The constructor will load the bytecode, define the class, and register this JWSClassLoader in the static registry.

Parameters:
  `name` - the name of the class which will be created/loaded
  `cl` - the parent ClassLoader
  `classFile` - filename of the .class file
Throws:
  `FileNotFoundException`
  `IOException`

Method Detail

### getResourceAsStream

    public InputStream getResourceAsStream(String resourceName)

  Overloaded getResourceAsStream() so we can be sure to return the correct class file regardless of where it might live on our hard drive.

  Parameters:
    `resourceName` - the resource to load (should be "classname.class")
  Returns:
    an InputStream of the class bytes, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.